Agent Conversations
Get a voice agent conversation
Retrieves a single conversation recorded for the specified voice agent endpoint by its id.
Returns 404 when the conversation was not persisted (store = false) or does not exist.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Path parameters
agent_name
string
required
The name of the agent.
conversation_id
string
required
The id of the conversation to retrieve.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
id
string
required
The unique id of the conversation.
object
enum
required
The object type. Always voice.conversation.
status
string | enum
required
The lifecycle status of a persisted voice conversation: - in_progress: the live session is active, or post-session persistence finalization is pending. - completed: finalization succeeded after normal or client close, end_conversation, a max-duration 1001 close, or a client or network disconnect that the service can still finalize. - failed: a terminal service, bridge, storage, or unrecoverable transport failure prevented finalization.
enum
metadata
object
A set of key-value pairs attached to the conversation.
usage
OpenAI.RealtimeResponseUsage
input_token_details
OpenAI.RealtimeResponseUsageInputTokenDetails
cached_tokens_details
OpenAI.RealtimeResponseUsageInputTokenDetailsCachedTokensDetails
output_token_details
OpenAI.RealtimeResponseUsageOutputTokenDetails
last_error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
required
The public continuation instruction.
Request
GET /agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json